- Qt 6.4
- Qt Core
- C++ Classes
- QFlag
- Qt 6.4.2 Reference Documentation

# QFlag Class

The QFlag class is a helper data type for QFlags. More...

Header: | #include <QFlag>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Core) target_link_libraries(mytarget PRIVATE Qt6::Core)
qmake: | QT += core

- List of all members, including inherited members

## Public Functions

| QFlag(ushort value)
| QFlag(short value)
| QFlag(uint value)
| QFlag(int value)
int | operator int() const
uint | operator uint() const

## Detailed Description

It is equivalent to a plain `int`, except with respect to function overloading and type conversions. You should never need to use this class in your applications.

See also QFlags.

## Member Function Documentation

### `[since 5.3]` QFlag::QFlag(ushort value)

Constructs a QFlag object that stores the value.

This function was introduced in Qt 5.3.

### `[since 5.3]` QFlag::QFlag(short value)

Constructs a QFlag object that stores the value.

This function was introduced in Qt 5.3.

### `[since 5.3]` QFlag::QFlag(uint value)

Constructs a QFlag object that stores the value.

This function was introduced in Qt 5.3.

### QFlag::QFlag(int value)

Constructs a QFlag object that stores the value.

### int QFlag::operator int() const

Returns the value stored by the QFlag object.

### `[since 5.3]` uint QFlag::operator uint() const

Returns the value stored by the QFlag object.

This function was introduced in Qt 5.3.